<template>
    <v-card>
     <v-list two-line>
      <v-list-item>
        <v-list-item-icon>
          <v-icon>mdi-phone</v-icon>
        </v-list-item-icon>

        <v-list-item-content>
          <v-list-item-title class="body-2">{{ phone }}</v-list-item-title>
          <v-list-item-subtitle>phone</v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>
    <v-list-item :href="`mailto:${email}`">
        <v-list-item-icon>
          <v-icon>mdi-mail</v-icon>
        </v-list-item-icon>

        <v-list-item-content>
          <v-list-item-title class="body-2">{{ email }}</v-list-item-title>
          <v-list-item-subtitle>email</v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';


@Component
export default class ProfileContactInfoCard extends Vue {
  @Prop() public email!: string;
  @Prop() public phone!: string;
}
</script>
